# LIBMAWK_INITIALIZE

NAME
SYNOPSIS
DESCRIPTION
RETURN VALUE
SEE ALSO

## NAME

libmawk_initialize − create a new libmawk context

## SYNOPSIS

#include <libmawk.h>

mawk_state_t *libmawk_initialize(int s, char *argv[]);

## DESCRIPTION

The libmawk_initialize() function returns a pointer to a newly created libmawk context. Any amount of libmawk contexts can live in parallel in an application. Arguments are the same as for a command line mawk session. Scripts are loaded (either from command line or from files using -f), variables are set (with -v), special options are set (with -W), etc.

## RETURN VALUE

A pointer to a new libmawk context or NULL on error.

## SEE ALSO

libmawk_initialize_stage(3libmawk), libmawk_uninitialize(3libmawk),